> ## Documentation Index
> Fetch the complete documentation index at: https://developer.notocat.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Send a test email

> Learn how to send a test email for a send using the Notocat API.

This endpoint can be used to send a test email for a send.


## OpenAPI

````yaml POST /sends/{id}/test
openapi: 3.0.1
info:
  title: OpenAPI Contacts
  description: The contacts API allows you to manage your contacts in Notocat.
  version: 1.0.0
servers:
  - url: https://api.notocat.com/v1
security:
  - bearerAuth: []
paths:
  /sends/{id}/test:
    post:
      description: Sends a test email for the specified send
      parameters:
        - name: id
          in: path
          description: The ID of the send
          required: true
          schema:
            type: string
      requestBody:
        description: Test email configuration
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SendTestRequest'
        required: true
      responses:
        '200':
          description: Test email sent successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SendTestResponse'
        '400':
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    SendTestRequest:
      required:
        - To
      type: object
      properties:
        To:
          description: The email address to send the test to
          type: string
          format: email
    SendTestResponse:
      type: object
      properties:
        To:
          description: The recipient email address
          type: string
          format: email
        SubmittedAt:
          description: The timestamp when the email was submitted
          type: string
          format: date-time
        MessageID:
          description: The unique message ID assigned by Postmark
          type: string
        ErrorCode:
          description: Error code if the send failed (0 for success)
          type: integer
        Message:
          description: Status message
          type: string
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````